### Method

# Shumate Scale get_viewport

#### Declaration [src]

    ShumateViewport*
    shumate_scale_get_viewport (
      ShumateScale* scale
    )

#### Description [src]

Gets the viewport used by the scale.

Gets property | `Shumate.Scale:viewport`

#### Return value

Type: `ShumateViewport`

The `ShumateViewport` used by the scale.

The returned data is owned by the instance.
The return value can be `NULL`.